package com.mortals.xhx.module.care.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.care.model.vo.CareTemplateVo;
/**
* 关怀问候信息实体对象
*
* @author zxfei
* @date 2023-04-07
*/

public class CareTemplateEntity extends CareTemplateVo {
    private static final long serialVersionUID = 1L;

    /**
    * 关怀类型(1.生日关怀,2.入职周年关怀)
    */
    private Integer careType;
    /**
    * 是否短信提示(1.是,0.否)
    */
    private Integer sms;
    /**
    * 短信模板内容
    */
    private String smsTemplate;



    public CareTemplateEntity(){}
    /**
    * 获取 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return Integer
    */
    public Integer getCareType(){
        return careType;
    }
    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careType
    */
    public void setCareType(Integer careType){
        this.careType = careType;
    }
    /**
    * 获取 是否短信提示(1.是,0.否)
    * @return Integer
    */
    public Integer getSms(){
        return sms;
    }
    /**
    * 设置 是否短信提示(1.是,0.否)
    * @param sms
    */
    public void setSms(Integer sms){
        this.sms = sms;
    }
    /**
    * 获取 短信模板内容
    * @return String
    */
    public String getSmsTemplate(){
        return smsTemplate;
    }
    /**
    * 设置 短信模板内容
    * @param smsTemplate
    */
    public void setSmsTemplate(String smsTemplate){
        this.smsTemplate = smsTemplate;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CareTemplateEntity) {
            CareTemplateEntity tmp = (CareTemplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",careType:").append(getCareType());
        sb.append(",sms:").append(getSms());
        sb.append(",smsTemplate:").append(getSmsTemplate());
        return sb.toString();
    }

    public void initAttrValue(){

            this.careType = 1;

            this.sms = 1;

            this.smsTemplate = "";
    }
}